%define name	monit
%define version	5.0.3
%define release 2

Summary: 	Process monitor and restart utility
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
License: 	GPLv3+
Source0: 	http://mmonit.com/monit/dist/%{name}-%{version}.tar.gz
Source2:	rc.monit
# Config tweaks: enable logging and include /etc/monit.d by default
# AdamW 2010/01
Patch0:		monit-5.0.3-config.patch
Group: 		Monitoring
URL: 		http://www.tildeslash.com/monit/
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	flex, bison, openssl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Monit is a utility for managing and monitoring processes,
files, directories and devices on a Unix system. Monit conducts
automatic maintenance and repair and can execute meaningful causal
actions in error situations.

%prep
%setup -q
%patch0 -p1 -b .config

%build
%configure
%make

%install
%__rm -rf %{buildroot}

%makeinstall \
        MODE_PROGS=755 \
        BINDIR=%{buildroot}%{_bindir} \
        MANDIR=%{buildroot}%{_mandir}/man1

%__install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d
%__install -m 600 monitrc %{buildroot}%{_sysconfdir}/monitrc

%__install -d -m 755 %{buildroot}%{_initrddir}
%__install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.txt CONTRIBUTORS COPYING FAQ.txt LICENSE README README.SSL doc/*.html
%config(noreplace) %{_sysconfdir}/monitrc
%dir %{_sysconfdir}/%{name}.d
%{_initrddir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Jan 28 2010 Adam Williamson <awilliamson@mandriva.org> 5.0.3-2mdv2010.0
+ Revision: 497711
- add config.patch to tweak config file: enable logging and include
  files in /etc/monit.d by default
- two tweaks to the initscript:
  	+ tell it to actually run as a daemon
  	+ monit should start after every other service in case it's set to
  	  monitor any of them (thanks Scott Storck from monit ML)

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 5.0.3-1mdv2010.0
+ Revision: 411821
- Update to new version 5.0.3
- Use configuration file included in source tarball
- Add LSB headers to init script

* Tue Feb 05 2008 Lev Givon <lev@mandriva.org> 4.10.1-1mdv2008.1
+ Revision: 162796
- Update to 4.10.1.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.9-2mdv2008.1
+ Revision: 119874
- rebuild b/c of missing subpackage on ia32


* Sun Mar 11 2007 Lev Givon <lev@mandriva.org> 4.9-1mdv2007.1
+ Revision: 141401
- Import monit

* Sun Mar 11 2007 Lev Givon <lev@mandriva.org> 4.9-1mdv2007.0
- Tweak spec file for Mandriva submission.

* Mon Feb 19 2007 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.9

* Sun Mar 05 2006 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.7

* Tue Sep 20 2005 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.6

* Wed Oct 20 2004 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.4

